<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.9.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

        <property name="autoIncrement" value="true"/>

    <!--
        Added the entity City.
    -->
    <changeSet id="20201031232904-1" author="zarko">
        <createTable tableName="city">
            <column name="id" type="bigint" autoIncrement="${autoIncrement}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="name" type="varchar(255)">
                <constraints nullable="false" />
            </column>
            <column name="description" type="varchar(255)">
                <constraints nullable="false" />
            </column>
            <column name="number_of_comments" type="integer">
                <constraints nullable="true" />
            </column>
            <column name="country_id" type="bigint">
                <!--<constraints unique="true" nullable="true" uniqueConstraintName="ux_city_country_id" />-->
            </column>
        </createTable>
    </changeSet>

    <changeSet id="20201031232904-1-relations" author="zarko">

    </changeSet>



</databaseChangeLog>
